/*
 * Project:      wpwBot jQuery Plugin
 * Description:  wpwBot AI based Chatting functionality are handled .
 * Author:       QuantumCloud
 * Version:      1.0
 */
var globalwpw;
var wpwTree;
(function($) {
    "use strict";
    /*
     * Global variable as object will beused to handle
     * wpwbot chatting initialize, tree change transfer,
     * changing tree steps and cookies etc.
     */
    globalwpw={
        initialize:0,
        settings:{},
        wildCard:0,
        wildcards:'',
        wildcardsHelp:['start','support','reset', 'email subscription', 'unsubscribe' , 'livechat'],
        productStep:'asking',
        orderStep:'welcome',
        supportStep:'welcome',
        hasNameCookie:$.cookie("shopper"),
        shopperUserName:'',
        shopperEmail:'',
        shopperMessage:'',
        emptymsghandler:0,
        repeatQueryEmpty:'',
        wpwIsWorking:0,
        ai_step:0,
        df_status_lock:0,
		counter:0,
		emailContent:[]

    };
    /*
     * wpwbot welcome section coverd
     * greeting for new and already visited shopper
     * based the memory after asking thier name.
     */

    var wpwWelcome={
        greeting:function () {
			
            //Very begining greeting.
            
            //generating unique session id.
            if(!localStorage.getItem('botsessionid')){

                var number = Math.random() // 0.9394456857981651
                number.toString(36); // '0.xtis06h6'
                var id = number.toString(36).substr(2); // 'xtis06h6'

                localStorage.setItem('botsessionid', id);
                console.log(localStorage.getItem('botsessionid'));
            }


			if(globalwpw.settings.obj.skip_wp_greetings==1){
				
				if(globalwpw.settings.obj.re_target_handler==0){
				var botJoinMsg="<strong>"+globalwpw.settings.obj.agent+" </strong> "+wpwKits.randomMsg(globalwpw.settings.obj.agent_join);
				wpwMsg.single(botJoinMsg);
				}

				$.cookie("shopper", globalwpw.settings.obj.shopper_demo_name, { expires : 365 });
				localStorage.setItem('shopper',globalwpw.settings.obj.shopper_demo_name);
				globalwpw.hasNameCookie=globalwpw.settings.obj.shopper_demo_name;
				globalwpw.ai_step=1;
				globalwpw.wildCard=0;
				localStorage.setItem("wildCard",  globalwpw.wildCard);
				localStorage.setItem("aiStep", globalwpw.ai_step);
				
				setTimeout(function(){
					var firstMsg=wpwKits.randomMsg(globalwpw.settings.obj.hi_there)+' '+wpwKits.randomMsg(globalwpw.settings.obj.welcome)+" <strong>"+globalwpw.settings.obj.host+"!</strong> ";
					var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
					wpwMsg.single(firstMsg);
					
					setTimeout(function(){
						
						wpwMsg.double_nobg(serviceOffer, globalwpw.wildcards);
					}, globalwpw.settings.preLoadingTime);
					
				}, globalwpw.settings.preLoadingTime);
				
			}
			else if(globalwpw.settings.obj.order_login){
				
				
				if(globalwpw.settings.obj.re_target_handler==0){
				var botJoinMsg="<strong>"+globalwpw.settings.obj.agent+" </strong> "+wpwKits.randomMsg(globalwpw.settings.obj.agent_join);
				wpwMsg.single(botJoinMsg);
				}

				$.cookie("shopper", globalwpw.settings.obj.order_user, { expires : 365 });
				localStorage.setItem('shopper',globalwpw.settings.obj.order_user);
				globalwpw.hasNameCookie=globalwpw.settings.obj.order_user;
				globalwpw.ai_step=1;
				globalwpw.wildCard=0;
				localStorage.setItem("wildCard",  globalwpw.wildCard);
				localStorage.setItem("aiStep", globalwpw.ai_step);
				setTimeout(function(){
					var firstMsg=wpwKits.randomMsg(globalwpw.settings.obj.hi_there)+' '+wpwKits.randomMsg(globalwpw.settings.obj.welcome)+" <strong>"+globalwpw.settings.obj.host+"!</strong> ";
					wpwMsg.single(firstMsg);
					setTimeout(function(){
						//Greeting with name and suggesting the wildcard.
						var NameGreeting=wpwKits.randomMsg(globalwpw.settings.obj.i_am) +" <strong>"+globalwpw.settings.obj.agent+"</strong>! "+wpwKits.randomMsg(globalwpw.settings.obj.name_greeting)+", <strong>"+globalwpw.settings.obj.order_user+"</strong>!";

						//this data should be conditional
						var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
						//After completing two steps messaging showing wildcards.
						wpwMsg.double(NameGreeting,serviceOffer);
						globalwpw.ai_step=1;
						globalwpw.wildCard=0;
						localStorage.setItem("wildCard",  globalwpw.wildCard);
						localStorage.setItem("aiStep", globalwpw.ai_step);
					}, globalwpw.settings.preLoadingTime);
				}, globalwpw.settings.preLoadingTime);
				
			}else{

				if(globalwpw.settings.obj.re_target_handler==0){
				var botJoinMsg="<strong>"+globalwpw.settings.obj.agent+" </strong> "+wpwKits.randomMsg(globalwpw.settings.obj.agent_join);
				wpwMsg.single(botJoinMsg);
				}
				//Showing greeting for name in cookie or fresh shopper.
				setTimeout(function(){
					var firstMsg=wpwKits.randomMsg(globalwpw.settings.obj.hi_there)+' '+wpwKits.randomMsg(globalwpw.settings.obj.welcome)+" <strong>"+globalwpw.settings.obj.host+"!</strong> ";
					var secondMsg=wpwKits.randomMsg(globalwpw.settings.obj.asking_name);
					
					wpwMsg.double(firstMsg,secondMsg);
				}, globalwpw.settings.preLoadingTime);
			}
			
        }
    };
    //Append the message to the message container based on the requirement.
    var wpwMsg={
        single:function (msg) {
			
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(msg);
                //If has youtube link then show video
                wpwKits.videohandler();
                //scroll to the last message
                wpwKits.scrollTo();
                //Enable the editor
                wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                //keeping in history
                wpwKits.wpwHistorySave();
            }, globalwpw.settings.preLoadingTime);

        },

        single_nobg:function (msg) {
			
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().addClass('wp-chatbot-msg-flat');
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().append(msg);
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').remove();
                //scroll to the last message
                wpwKits.scrollTo();
                //Enable the editor
                wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                //Keeping the chat history in localStorage
                wpwKits.wpwHistorySave();
                // disabled editor
                // wpwKits.disableEditor('Please choose an option.');
            }, globalwpw.settings.preLoadingTime);
        },

        double:function (fristMsg,secondMsg) {
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
			wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(fristMsg);
                //Second Message with interval
                $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                //Scroll to the last message
                wpwKits.scrollTo();
                setTimeout(function(){
					
                    $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(secondMsg);
                    //Scroll to the last message
                    wpwKits.scrollTo();
                    //Enable the editor
                    wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                    //keeping in history
                    wpwKits.wpwHistorySave();
                }, globalwpw.settings.preLoadingTime);

            }, globalwpw.settings.preLoadingTime);

        },

        triple:function (fristMsg, secondMsg, thirdMsg) {
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
			wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(fristMsg);
                //Second Message with interval
                $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                //Scroll to the last message
                wpwKits.scrollTo();
                setTimeout(function(){
					
                    $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(secondMsg);

                    $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                    //Scroll to the last message
                    wpwKits.scrollTo();
                    //Enable the editor
                    wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                    //keeping in history
                    //wpwKits.wpwHistorySave();

                    setTimeout(function(){

                        $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(thirdMsg);
                        //Scroll to the last message
                        wpwKits.scrollTo();
                        //Enable the editor
                        wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));

                        wpwKits.wpwHistorySave();

                    }, globalwpw.settings.preLoadingTime);

                }, globalwpw.settings.preLoadingTime);

            }, globalwpw.settings.preLoadingTime);

        },

        double_nobg:function (fristMsg,secondMsg) {
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(fristMsg);
                //Second Message with interval
                $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                //Scroll to the last message
                wpwKits.scrollTo();
                setTimeout(function(){
                    if(globalwpw.wildCard>0){
                        $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().addClass('wp-chatbot-msg-flat').html(secondMsg).append('<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                    }else{
                        $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().addClass('wp-chatbot-msg-flat').html(secondMsg);
                    }
                    //scroll to the last message
                    wpwKits.scrollTo();
                    //Enable the editor
                    if(globalwpw.wildCard==1 && globalwpw.supportStep=='welcome'){
                        //wpwKits.disableEditor('Support');
                    }else{
                        wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                    }
                    //keeping in history
                    wpwKits.wpwHistorySave();
                    // disabled editor
                    // wpwKits.disableEditor('Please choose an option.');
                }, globalwpw.settings.preLoadingTime);

            }, globalwpw.settings.preLoadingTime);

        },
        triple_nobg:function (fristMsg,secondMsg,thirdMsg) {
            globalwpw.wpwIsWorking=1;
            $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
            //Scroll to the last message
            wpwKits.scrollTo();
            setTimeout(function(){
                $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(fristMsg);
                //Second Message with interval
                $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                //Scroll to the last message
                wpwKits.scrollTo();

                setTimeout(function(){

                    $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(secondMsg);
                    $(globalwpw.settings.messageContainer).append(wpwKits.botPreloader());
                    //Scroll to the last message
                    wpwKits.scrollTo();


                    setTimeout(function(){
                        if(globalwpw.wildCard>0){
                            $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().addClass('wp-chatbot-msg-flat').html(thirdMsg).append('<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                        }else{
                            $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').parent().addClass('wp-chatbot-msg-flat').html(thirdMsg);
                        }
                        //scroll to the last message
                        wpwKits.scrollTo();
                        //Enable the editor
                        if(globalwpw.wildCard==1 && globalwpw.supportStep=='welcome'){
                            //wpwKits.disableEditor('Support');
                        }else{
                            wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                        }
                        //keeping in history
                        wpwKits.wpwHistorySave();
                        // disabled editor
                        // wpwKits.disableEditor('Please choose an option.');
                    }, globalwpw.settings.preLoadingTime);

                }, globalwpw.settings.preLoadingTime);

                

            }, globalwpw.settings.preLoadingTime);

        },
        shopper:function (shopperMsg) {
            $(globalwpw.settings.messageContainer).append(wpwKits.shopperMsgDom(shopperMsg));
            //scroll to the last message
            wpwKits.scrollTo();
            //keeping in history
            wpwKits.wpwHistorySave();
        },
        shopper_choice:function (shopperChoice) {
            $(globalwpw.settings.messageLastChild).fadeOut(globalwpw.settings.preLoadingTime);
            $(globalwpw.settings.messageContainer).append(wpwKits.shopperMsgDom(shopperChoice));
            //scroll to the last message
            wpwKits.scrollTo();
            //keeping in history
            wpwKits.wpwHistorySave();
        }

    };

    //Every tiny tools are implemented  in wpwKits as object literal.
    var wpwKits={
        enableEditor:function(placeHolder){
            if(globalwpw.settings.editor_handler==0){
                $("#wp-chatbot-editor").attr('disabled',false).focus();
                $("#wp-chatbot-editor").attr('placeholder',placeHolder);
                $("#wp-chatbot-send-message").attr('disabled',false);
            }
        },
        disableEditor:function (placeHolder) {
            if(globalwpw.settings.editor_handler==0){
                $("#wp-chatbot-editor").attr('placeholder',placeHolder);
                $("#wp-chatbot-editor").attr('disabled',true);
                $("#wp-chatbot-send-message").attr('disabled',true);
            }
            //Remove extra pre loader.
            if($('.wp-chatbot-messages-container').find('.wp-chatbot-comment-loader').length>0){
                $('.wp-chatbot-messages-container').find('.wp-chatbot-comment-loader').parent().parent().hide();
            }
        },
		wpwOpenWindow:function (url, title, w, h) {
			// Fixes dual-screen position                         Most browsers      Firefox
			var dualScreenLeft = window.screenLeft != undefined ? window.screenLeft : window.screenX;
			var dualScreenTop = window.screenTop != undefined ? window.screenTop : window.screenY;

			var width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
			var height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

			var left = ((width / 2) - (w / 2)) + dualScreenLeft;
			var top = ((height / 2) - (h / 2)) + dualScreenTop;
			var newWindow = window.open(url, title, 'scrollbars=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);

			// Puts focus on the newWindow
			if (window.focus) {
				newWindow.focus();
			}
        },
        htmlEntities:function(str) {
            return String(str).replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');
        },
        wpwHistorySave:function () {
            
            globalwpw.wpwIsWorking=0;
            var wpwHistory= $(globalwpw.settings.messageWrapper).html();
            localStorage.setItem("wpwHitory", wpwHistory);
            
            if(localStorage.getItem('botsessionid')){

                if(!localStorage.getItem('shopperemail')){
                    var useremail = '';
                }else{
                    var useremail = localStorage.getItem('shopperemail');
                }

                if(globalwpw.hasNameCookie){
                    var shopper=globalwpw.hasNameCookie;
                } else{
                    var shopper=globalwpw.settings.obj.shopper_demo_name;
                }

                var data = {'action':'qcld_wb_chatbot_conversation_save','session_id': localStorage.getItem('botsessionid'),'name':shopper,'email':useremail, 'conversation':wpwKits.htmlEntities(wpwHistory), 'security':globalwpw.settings.obj.ajax_nonce};

                wpwKits.ajax(data).done(function (response) {
                    console.log(response);
                })
            }
        },

        randomMsg:function(arrMsg){
            var index=Math.floor(Math.random() * arrMsg.length);
            return arrMsg[index].replace("%%username%%", globalwpw.hasNameCookie);
        },
        ajax:function (data) {
            return jQuery.post(globalwpw.settings.obj.ajax_url, data);

        },
        dailogAIOAction:function(text){
            return  jQuery.ajax({
                type : "POST",
                url :"https://api.dialogflow.com/v1/query?v=20170712",
                contentType : "application/json; charset=utf-8",
                dataType : "json",
                headers : {
                    "Authorization" : "Bearer "+globalwpw.settings.obj.ai_df_token
                },
				
                data: JSON.stringify( {
                    query: text,
                    
                    lang : globalwpw.settings.obj.df_agent_lan,
                    sessionId: 'wpwBot_df_2018071'
                } )
            });
        },
        sugestCat:function () {
            var productSuggest=wpwKits.randomMsg(globalwpw.settings.obj.product_suggest);
            var data={'action':'qcld_wb_chatbot_category'};
            var result=wpwKits.ajax(data);
            result.done(function( response ) {
                wpwMsg.double_nobg(productSuggest,response);
                if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
                    globalwpw.wildCard=0;
                    globalwpw.ai_step=1;
                    localStorage.setItem("wildCard",  globalwpw.wildCard);
                    localStorage.setItem("aiStep", globalwpw.ai_step);
                }
            });
        },
        subCats:function (parentId) {
            var subCatMsg=wpwKits.randomMsg(globalwpw.settings.obj.product_suggest);
            var data={'action':'qcld_wb_chatbot_sub_category','parent_id':parentId};
            var result=wpwKits.ajax(data);
            result.done(function( response ) {
                wpwMsg.double_nobg(subCatMsg,response);
            });
        },
        suggestEmail:function (emailFor) {
            var sugMsg=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
            var sugOptions= globalwpw.wildcards;
            wpwMsg.double_nobg(sugMsg,sugOptions);

        }
        ,
        videohandler:function () {
            $(globalwpw.settings.messageLastChild+' .wp-chatbot-paragraph').html(function(i, html) {
                return html.replace(/(?:https:\/\/)?(?:www\.)?(?:youtube\.com|youtu\.be)\/(?:watch\?v=)?(.+)/g, '<iframe width="250" height="180" src="http://www.youtube.com/embed/$1" frameborder="0" allowfullscreen></iframe>');
            });
        },
        scrollTo:function () {
            $(globalwpw.settings.botContainer).animate({ scrollTop: $(globalwpw.settings.messageWrapper).prop("scrollHeight")}, 'slow').parent().find('.slimScrollBar').css({'top':$(globalwpw.settings.botContainer).height()+'px'});
        },
        botPreloader:function () {
            var msgContent='<li class="wp-chatbot-msg">' +
                '<div class="wp-chatbot-avatar">'+
                '<img src="'+globalwpw.settings.obj.agent_image_path+'" alt="">'+
                '</div>'+
                '<div class="wp-chatbot-agent">'+ globalwpw.settings.obj.agent+'</div>'
                +'<div class="wp-chatbot-paragraph"><img class="wp-chatbot-comment-loader" src="'+globalwpw.settings.obj.image_path+'comment.gif" alt="Typing..." /></div></li>';
            return msgContent;
        },
        shopperMsgDom:function (msg) {
            if(globalwpw.hasNameCookie){
                var shopper=globalwpw.hasNameCookie;
            } else{
                var shopper=globalwpw.settings.obj.shopper_demo_name;
            }
            var msgContent='<li class="wp-chat-user-msg">' +
                '<div class="wp-chatbot-avatar">'+
                '<img src="'+globalwpw.settings.obj.image_path+'client.png" alt="">'+
                '</div>'+
                '<div class="wp-chatbot-agent">'+shopper +'</div>'
                +'<div class="wp-chatbot-paragraph">'+msg+'</div></li>';
            return msgContent;
        },
        showCart:function () {
            var data = {'action':'qcld_wb_chatbot_show_cart'}
            this.ajax(data).done(function (response) {
                //if cart show on message board
                if($('#wp-chatbot-shortcode-template-container').length == 0) {
                    $(globalwpw.settings.messageWrapper).html(response.html);
                    $('#wp-chatbot-cart-numbers').html(response.items);
                    $('.wp-chatbot-ball-cart-items').html(response.items);
                    wpwKits.disableEditor(wpwKits.randomMsg(globalwpw.settings.obj.shopping_cart));
                }else{  //Cart show on shortcode
                    $('.wp-chatbot-cart-shortcode-container').html(response.html);

                }
                //Add scroll to the cart shortcode
                if($('#wp-chatbot-shortcode-template-container').length > 0  && $('.chatbot-shortcode-template-02').length==0) {
                    $('.wp-chatbot-cart-body').slimScroll({height: '200px', start: 'bottom'});
                }
            });
        },
        toTitlecase:function (msg) {
            return msg.replace(/\w\S*/g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();});
        },
        filterStopWords:function(msg){
            var spcialStopWords=",;,/,\\,[,],{,},(,),&,*,.,+ ,?,^,$,=,!,<,>,|,:,-";
            var userMsg="";
            //Removing Special Characts from last position.
            var msgLastChar=msg.slice(-1);
            if(spcialStopWords.indexOf(msgLastChar) >= 0 ){
                userMsg=msg.slice(0, -1);
            }else{
                userMsg=msg;
            }
            var stopWords=globalwpw.settings.obj.stop_words+spcialStopWords;
            var stopWordsArr=stopWords.split(',');
            var msgArr=userMsg.split(' ');
            var filtermsgArr = msgArr.filter(function myCallBack(el){
                return stopWordsArr.indexOf(el.toLowerCase()) < 0;
            });
            var filterMsg=filtermsgArr.join(' ');
            return filterMsg;
        },
		htmlTagsScape:function(userString) {
           var tagsToReplace = {
               '&': '&amp;',
               '<': '&lt;',
               '>': '&gt;'
           };
           return userString.replace(/[&<>]/g, function(tag) {
               return tagsToReplace[tag] || tag;
           });
       }
    }
    /*
     * wpwbot Trees are basically product,order and support
     * product tree : asking,showing & shopping part will be covered.
     * order tree : showing order list and email to admin option.
     * support tree : List of support query-answer including text & video and email to admin option.
     */
    wpwTree={

        greeting:function (msg) {
			
            /**
             * When Enable DialogFlow then  or else
             */
			
            if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
				
                //When intialize 1 and don't have cookies then keep  the name of shooper in in cookie
				if(globalwpw.initialize==1 && !localStorage.getItem('shopper')  && globalwpw.wildCard==0 && globalwpw.ai_step==0 ){
					
					if(globalwpw.settings.obj.df_agent_lan!='en'){
							
						msg=wpwKits.toTitlecase(msg);
						$.cookie("shopper", msg, { expires : 365 });
						localStorage.setItem('shopper',msg);
						globalwpw.hasNameCookie=msg;
						//Greeting with name and suggesting the wildcard.
						var NameGreeting=wpwKits.randomMsg(globalwpw.settings.obj.i_am) +" <strong>"+globalwpw.settings.obj.agent+"</strong>! "+wpwKits.randomMsg(globalwpw.settings.obj.name_greeting)+", <strong>"+msg+"</strong>!";
						var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                        
                        if(globalwpw.settings.obj.ask_email_wp_greetings==1){
                            var emailsharetext = wpwKits.randomMsg(globalwpw.settings.obj.asking_emailaddress);
                            

                            if(globalwpw.settings.obj.enable_gdpr){
                                wpwMsg.triple(NameGreeting, emailsharetext, globalwpw.settings.obj.gdpr_text);
                            }else{
                                wpwMsg.double(NameGreeting, emailsharetext);
                            }
                            
                        }else{
                            
                            //this data should be conditional
                            //var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                            //After completing two steps messaging showing wildcards.
                            wpwMsg.double(NameGreeting,serviceOffer);
                            globalwpw.ai_step=1;
                            globalwpw.wildCard=0;
                            localStorage.setItem("wildCard",  globalwpw.wildCard);
                            localStorage.setItem("aiStep", globalwpw.ai_step);
                            
                        }

						//After completing two steps messaging showing wildcards.
						//console.log(NameGreeting,serviceOffer);	
						//wpwMsg.double(NameGreeting,serviceOffer);
						
					}else{
                        
						var main_text = msg;
						msg=wpwKits.toTitlecase(msg);
						
						var dfReturns=wpwKits.dailogAIOAction(msg);
						
						dfReturns.done(function( response ) {
							
							if(response.status.code==200){
								var intent = response.result.metadata.intentName;
								
								if(intent=="get name"){
									
									var given_name = response.result.parameters.given_name;
									var last_name = response.result.parameters.last_name;
									var fullname = given_name+' '+last_name;
									if(fullname.length<2){
										fullname = msg
									}

									$.cookie("shopper", fullname, { expires : 365 });
									localStorage.setItem('shopper',fullname);
									globalwpw.hasNameCookie=fullname;
									//Greeting with name and suggesting the wildcard.
									var NameGreeting=wpwKits.randomMsg(globalwpw.settings.obj.i_am) +" <strong>"+globalwpw.settings.obj.agent+"</strong>! "+wpwKits.randomMsg(globalwpw.settings.obj.name_greeting)+", <strong>"+fullname+"</strong>!";
									if(globalwpw.settings.obj.ask_email_wp_greetings==1){
										var emailsharetext = wpwKits.randomMsg(globalwpw.settings.obj.asking_emailaddress);
										if(globalwpw.settings.obj.enable_gdpr){
                                            wpwMsg.triple(NameGreeting, emailsharetext, globalwpw.settings.obj.gdpr_text);
                                        }else{
                                            wpwMsg.double(NameGreeting, emailsharetext);
                                        }
										
									}else{
										
										//this data should be conditional
										var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
										//After completing two steps messaging showing wildcards.
										wpwMsg.double(NameGreeting,serviceOffer);
										globalwpw.ai_step=1;
										globalwpw.wildCard=0;
										localStorage.setItem("wildCard",  globalwpw.wildCard);
										localStorage.setItem("aiStep", globalwpw.ai_step);
										
									}

								}else if(intent=='Default Fallback Intent'){
									
									$.cookie("shopper", globalwpw.settings.obj.shopper_demo_name, { expires : 365 });
									localStorage.setItem('shopper',globalwpw.settings.obj.shopper_demo_name);
									globalwpw.hasNameCookie=globalwpw.settings.obj.shopper_demo_name;
									globalwpw.ai_step=1;
									globalwpw.wildCard=0;
									localStorage.setItem("wildCard",  globalwpw.wildCard);
									localStorage.setItem("aiStep", globalwpw.ai_step);
									wpwMsg.single(globalwpw.settings.obj.shopper_call_you+' '+globalwpw.settings.obj.shopper_demo_name);
									setTimeout(function(){
										var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
										wpwMsg.single(serviceOffer);
									},globalwpw.settings.preLoadingTime)
									
								}else{
									
									$.cookie("shopper", globalwpw.settings.obj.shopper_demo_name, { expires : 365 });
									localStorage.setItem('shopper',globalwpw.settings.obj.shopper_demo_name);
									globalwpw.hasNameCookie=globalwpw.settings.obj.shopper_demo_name;
									globalwpw.ai_step=1;
									globalwpw.wildCard=0;
									localStorage.setItem("wildCard",  globalwpw.wildCard);
									localStorage.setItem("aiStep", globalwpw.ai_step);
									wpwAction.bot(main_text);	
									
								}
							}
						})
					/*
                    */
					}
                }
                //When returning shopper then greeting with name and wildcards.
                else if(localStorage.getItem('shopper')  && globalwpw.wildCard==0 && globalwpw.ai_step==0){
					if(globalwpw.settings.obj.ask_email_wp_greetings==1){
						var dfReturns=wpwKits.dailogAIOAction(msg);
						dfReturns.done(function( response ) {
							if(response.status.code==200){
								var intent = response.result.metadata.intentName;
								if(intent=="get email"){
									var email = response.result.parameters.email;
									$.cookie("shopperemail", email, { expires : 365 });
									localStorage.setItem('shopperemail',email);
									if(email!=''){
										var data = {'action':'qcld_wb_chatbot_email_subscription','name':globalwpw.hasNameCookie,'email':email, 'url':window.location.href};

										wpwKits.ajax(data).done(function (response) {
											//response.
										})
									}
									var emailgreetings = wpwKits.randomMsg(globalwpw.settings.obj.got_email);
									var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
									//After completing two steps messaging showing wildcards.
									wpwMsg.double(emailgreetings,serviceOffer);
									globalwpw.ai_step=1;
									globalwpw.wildCard=0;
									localStorage.setItem("wildCard",  globalwpw.wildCard);
									localStorage.setItem("aiStep", globalwpw.ai_step);
									
                                }
                                else{

                                    
                                    var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                                    if( re.test(msg)!=true){
                                        //After asking service show the wildcards.
                                        var noemailtext = wpwKits.randomMsg(globalwpw.settings.obj.email_ignore);;
                                        var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                                        globalwpw.ai_step=1;
                                        globalwpw.wildCard=0;
                                        localStorage.setItem("wildCard",  globalwpw.wildCard);
                                        localStorage.setItem("aiStep", globalwpw.ai_step);
                                        wpwMsg.double(noemailtext, serviceOffer);
                                    }else{

                                        var email = msg;
                                        $.cookie("shopperemail", email, { expires : 365 });
                                        localStorage.setItem('shopperemail',email);
                                        if(email!=''){
                                            var data = {'action':'qcld_wb_chatbot_email_subscription','name':globalwpw.hasNameCookie,'email':email, 'url':window.location.href};
    
                                            wpwKits.ajax(data).done(function (response) {
                                                //response.
                                            })
                                        }
                                        var emailgreetings = wpwKits.randomMsg(globalwpw.settings.obj.got_email);
                                        var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                                        //After completing two steps messaging showing wildcards.
                                        wpwMsg.double(emailgreetings,serviceOffer);
                                        globalwpw.ai_step=1;
                                        globalwpw.wildCard=0;
                                        localStorage.setItem("wildCard",  globalwpw.wildCard);
                                        localStorage.setItem("aiStep", globalwpw.ai_step);

                                    }

									
								}
							}
						})
					}else{
						//After asking service show the wildcards.
						var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
						globalwpw.ai_step=1;
						globalwpw.wildCard=0;
						localStorage.setItem("wildCard",  globalwpw.wildCard);
						localStorage.setItem("aiStep", globalwpw.ai_step);
						wpwMsg.single(serviceOffer);
					}

                }
                //When user asking needs then DialogFlow will given intent after NLP steps.
                else if(globalwpw.ai_step==1){
					
					
					
                    var dfReturns=wpwKits.dailogAIOAction(msg);
                    dfReturns.done(function( response ) {
                        
                        if(response.status.code==200){

							
                            var userIntent=response.result.metadata.intentName;

                            if(userIntent=='start'){
								
                                globalwpw.wildCard=0;
                                var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                                wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
								
                            }else if(userIntent=='welcome'){
								
								var messages = response.result.fulfillment.messages;
								wpwTree.df_reply(response);
								
							}else if(userIntent=='help'){
								
                                $(globalwpw.settings.messageWrapper).html(localStorage.getItem("wpwHitory"));
                                
								//Showing help message
                                setTimeout(function () {
                                    wpwKits.scrollTo();
                                    var helpWelcome = wpwKits.randomMsg(globalwpw.settings.obj.help_welcome);
                                    var helpMsg = wpwKits.randomMsg(globalwpw.settings.obj.help_msg);
                                    wpwMsg.double(helpWelcome,helpMsg);
                                    //dialogflow
                                    if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
                                        globalwpw.wildCard=0;
                                        globalwpw.ai_step=1;
                                        localStorage.setItem("wildCard",  globalwpw.wildCard);
                                        localStorage.setItem("aiStep", globalwpw.ai_step);
                                    }
                                },globalwpw.settings.preLoadingTime);
								
                            }else if(userIntent=='reset'){
                                var restWarning=globalwpw.settings.obj.reset;
                                var confirmBtn='<span class="qcld-chatbot-reset-btn" reset-data="yes" >'+globalwpw.settings.obj.yes+'</span> <span> '+globalwpw.settings.obj.or+' </span><span class="qcld-chatbot-reset-btn"  reset-data="no">'+globalwpw.settings.obj.no+'</span>';
                                wpwMsg.double_nobg(restWarning,confirmBtn);
                            }else if(userIntent=='phone'){
								
                                if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
									var shopperName=  globalwpw.settings.obj.shopper_demo_name;
								}else{
									var shopperName=globalwpw.hasNameCookie;
								}
								var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_phone);
								wpwMsg.single(askEmail);
								//Now updating the support part as .
								globalwpw.supportStep='phone';
								globalwpw.wildCard=1;
								//keeping value in localstorage
								localStorage.setItem("wildCard",  globalwpw.wildCard);
								localStorage.setItem("supportStep",  globalwpw.supportStep);

                            }else if(userIntent=='email'){
								
                                if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
									var shopperName=  globalwpw.settings.obj.shopper_demo_name;
								}else{
									var shopperName=globalwpw.hasNameCookie;
								}
								var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_email);
								wpwMsg.single(askEmail);
								//Now updating the support part as .
								globalwpw.supportStep='email';
								globalwpw.wildCard=1;
								//keeping value in localstorage
								localStorage.setItem("wildCard",  globalwpw.wildCard);
								localStorage.setItem("supportStep",  globalwpw.supportStep);

                            }else if(userIntent=='site search'){
								
                                if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
									var shopperName=  globalwpw.settings.obj.shopper_demo_name;
								}else{
									var shopperName=globalwpw.hasNameCookie;
								}
								var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ 'Pleae enter your keyword for searching';
								wpwMsg.single(askEmail);
								//Now updating the support part as .
								globalwpw.supportStep='search';
								globalwpw.wildCard=1;
								//keeping value in localstorage
								localStorage.setItem("wildCard",  globalwpw.wildCard);
								localStorage.setItem("supportStep",  globalwpw.supportStep);

                            }else if(userIntent=='get name'){
								
								var given_name = response.result.parameters.given_name;
								var last_name = response.result.parameters.last_name;
								var fullname = given_name+' '+last_name;
								
								$.cookie("shopper", fullname, { expires : 365 });
								localStorage.setItem('shopper',fullname);
								globalwpw.hasNameCookie=fullname;
								//Greeting with name and suggesting the wildcard.
								var NameGreeting=wpwKits.randomMsg(globalwpw.settings.obj.i_am) +" <strong>"+globalwpw.settings.obj.agent+"</strong>! "+wpwKits.randomMsg(globalwpw.settings.obj.name_greeting)+", <strong>"+fullname+"</strong>!";
								var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
								//After completing two steps messaging showing wildcards.
								wpwMsg.double(NameGreeting,serviceOffer);
								globalwpw.ai_step=1;
								globalwpw.wildCard=0;
								localStorage.setItem("wildCard",  globalwpw.wildCard);
								localStorage.setItem("aiStep", globalwpw.ai_step);
								
							}
							else if(userIntent=='faq'){
								
                                globalwpw.wildCard=1;
                                globalwpw.supportStep='welcome';
                                wpwAction.bot('from wildcard support');
                                //keeping value in localstorage

                            }else if(userIntent=='email subscription'){
								
                                globalwpw.wildCard=3;
								globalwpw.subscriptionStep='welcome';
								wpwTree.subscription(msg);

                            }else if(userIntent=='Default Fallback Intent'){
								
								msg = wpwKits.filterStopWords(msg);
								if(msg!='' && globalwpw.settings.obj.disable_sitesearch==''){
									var data = {'action':'wpbo_search_site','name':globalwpw.hasNameCookie,'keyword':msg};
									wpwKits.ajax(data).done(function (res) {
										var json=$.parseJSON(res);
										if(json.status=='success'){
                                            $('span[data-wildcart="back"]').remove();
                                            wpwMsg.single_nobg(json.html+'<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                                            
										}else{
											
											if(globalwpw.counter == globalwpw.settings.obj.no_result_attempt_count || globalwpw.settings.obj.no_result_attempt_count == 0 ){
												
												wpwMsg.single(json.html);
												setTimeout(function(){
													var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
													wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
												},globalwpw.settings.preLoadingTime)
												globalwpw.counter = 0;
												
											}else{
												globalwpw.counter++;
												wpwTree.df_reply(response);
											}

										}
										globalwpw.wildCard=0;
									});
								}else{
									if(globalwpw.counter == globalwpw.settings.obj.no_result_attempt_count || globalwpw.settings.obj.no_result_attempt_count == 0 ){
										
										wpwTree.df_reply(response);
										setTimeout(function(){
											var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
											wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
										},globalwpw.settings.preLoadingTime)
										globalwpw.counter = 0;
										
									}else{
										globalwpw.counter++;
										wpwTree.df_reply(response);
									}
								}
								
							}else if(response.result.score!=0){ // checking is reponsing from dialogflow.
                                
                                
								var sTalkAction=response.result.action;
								var sTalkActionArr=sTalkAction.split('.');
								if(sTalkActionArr[0]=='smalltalk'){
									var sMgs=response.result.fulfillment.speech;
									wpwMsg.single(sMgs);
								}else{
                                   
									var messages = response.result.fulfillment.messages;
									
										
									wpwTree.df_reply(response);

									var emailSent = false;
									var emailIntent = '';
									$.each(globalwpw.settings.obj.custom_intent, function( index, value ) {
									  
									  if(userIntent.indexOf(value) > -1 ){
										  emailIntent = value;
									  }
									  
									});
									
									if(emailIntent != '' && globalwpw.settings.obj.custom_intent_email[globalwpw.settings.obj.custom_intent.indexOf(emailIntent)]=='1'){
										emailSent = true;
									}
									
									if(emailSent==true){
										globalwpw.emailContent.push({
											user: response.result.resolvedQuery,
											bot: wpwTree.df_reply2(response)
										})
									}
									
									if(!response.result.actionIncomplete && typeof(response.result.metadata.endConversation)!='undefined' && response.result.metadata.endConversation==true && emailSent==true){
                                        var email = '';
                                        if(localStorage.getItem('shopperemail')!==null){
                                            email = localStorage.getItem('shopperemail');
                                        }
										var data = {'action':'qcld_wb_chatbot_send_query','name':globalwpw.hasNameCookie, 'email': email,'data':globalwpw.emailContent};

										
										wpwKits.ajax(data).done(function (resdata) {
											
											var json=$.parseJSON(resdata);
											if(json.status=='success'){
												var sucMsg=json.message;
												
												setTimeout(function(){
													
													wpwMsg.single(sucMsg);
													globalwpw.wildCard=0;
													var orPhoneSuggest='';
													setTimeout(function(){
														if(globalwpw.settings.obj.call_sup!=1) {
															orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
														}
														var orEmailSuggest='<span class="qcld-chatbot-suggest-email">'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
														wpwKits.suggestEmail(orPhoneSuggest+orEmailSuggest);
													},globalwpw.settings.wildcardsShowTime);
													
												},parseInt(globalwpw.settings.preLoadingTime));
												
											}else{
												
												var failMsg=json.message;
												setTimeout(function(){
													wpwMsg.single(failMsg);
													globalwpw.wildCard=0;
													var orPhoneSuggest='';
													setTimeout(function(){
														if(globalwpw.settings.obj.call_sup!=1) {
															orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
														}
														var orEmailSuggest='<span class="qcld-chatbot-suggest-email">'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
														wpwKits.suggestEmail(orPhoneSuggest+orEmailSuggest);
													},globalwpw.settings.wildcardsShowTime);
													
												},parseInt(globalwpw.settings.preLoadingTime));
												
												
											}
											
										});	
										globalwpw.emailContent = [];
									}
									


									
								}
									
                                

                            }else{
								
                                var dfDefaultMsg=globalwpw.settings.obj.df_defualt_reply;
								wpwMsg.double_nobg(dfDefaultMsg,globalwpw.wildcards);
                            }
                        }else{
                            //if bad request or limit cross then
                            globalwpw.df_status_lock=1;
                            var dfDefaultMsg=globalwpw.settings.obj.df_defualt_reply;
                            wpwMsg.double_nobg(dfDefaultMsg,globalwpw.wildcards);
                        }
                    }).fail(function (error) {
						
                        var dfDefaultMsg=globalwpw.settings.obj.df_defualt_reply;
                        wpwMsg.double_nobg(dfDefaultMsg,globalwpw.wildcards);
                    });
                }
            }else{
				
                //When intialize 1 and don't have cookies then keep  the name of shooper in in cookie
                if(globalwpw.initialize==1 && !localStorage.getItem('shopper')  && globalwpw.wildCard==0){
                    msg=wpwKits.toTitlecase(msg);
                    $.cookie("shopper", msg, { expires : 365 });
                    localStorage.setItem('shopper',msg);
                    globalwpw.hasNameCookie=msg;
                    //Greeting with name and suggesting the wildcard.
                    var NameGreeting=wpwKits.randomMsg(globalwpw.settings.obj.i_am) +" <strong>"+globalwpw.settings.obj.agent+"</strong>! "+wpwKits.randomMsg(globalwpw.settings.obj.name_greeting)+", <strong>"+msg+"</strong>!";
                    var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
					
                    //After completing two steps messaging showing wildcards.
					
                    wpwMsg.double(NameGreeting,serviceOffer);
					
                }
                //When returning shopper then greeting with name and wildcards.
                else if(localStorage.getItem('shopper')  && globalwpw.wildCard==0){
					
                    //After asking service show the wildcards.
                    var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                    wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
                }
            }
        },
		df_reply:function(response){
			
			var messages = response.result.fulfillment.messages;
			var action = response.result.actionIncomplete;
			//checking for facebook platform
			var i = 0;
			var html = '';
			jQuery.each( messages, function( key, message ) {
				i +=1;
				if(message.type==2){
					
					html += "<p>" + message.title + "</p>";
					var index = 0;
					for (index; index<message.replies.length; index++) {
						html += "<span class=\"wpb-quick-reply qcld-chat-common\">"+ message.replies[index] +"</span>";
					}
					
					
				}
				//check for default reply
				else if(message.type==0 && message.speech!=''){
					
					html += "<p>"+message.speech+"</p>";
					
				}else if(message.type==1){
					
					html +='<div class="wpbot_card_wraper">';
						html+='<div class="wpbot_card_image">';
							if(message.imageUrl!=''){
								html+='<img src="'+message.imageUrl+'" />';								
							}
							html+='<div class="wpbot_card_caption">';
							if(message.title!=''){
								html+='<h2>'+message.title+'</h2>';
							}
							if(message.subtitle!=''){
								html+='<p>'+message.title+'</p>';
							}
							html+='</div>';
						html+='</div>';
						if(message.buttons.length>0){
							jQuery.each( message.buttons, function( k, btn ) {
								html+='<a href="'+btn.postback+'"><i class="fa fa-external-link"></i> '+btn.text+'</a>';
							})
						}
					html +='</div>';
					
				}
				
				if(i==messages.length){
                    wpwMsg.single(html);    
                    //For back to start button              
                   if(action===false && !html.includes("?") && !html.includes("wpb-quick-reply")){
                        setTimeout(function(){
                            //wpwMsg.single('<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                        }, globalwpw.settings.preLoadingTime*2)
                    }
                    
				}
			})

			
		},
		df_reply2:function(response){
			
			var messages = response.result.fulfillment.messages;
			switch (messages[0].type) {
				case 0: // text response
					return messages[0].speech;
					break;
				case 1: // TODO card response
					
					break;
				case 2: // quick replies
				
					
					return messages[0].title;
					
					break;
				case 3: // image response
					
					break;
				case 3: // custom payload

					break;
				default:
			}
			
		},

        unsubscription:function(msg){
            if(globalwpw.wildCard==6 && globalwpw.unsubscriptionStep=='welcome'){

                var restWarning=wpwKits.randomMsg(globalwpw.settings.obj.do_you_want_to_unsubscribe);
                var confirmBtn='<span class="qcld-chat-common qcld_unsubscribe_confirm" unsubscription="yes" >'+globalwpw.settings.obj.yes+'</span> <span> '+globalwpw.settings.obj.or+' </span><span class="qcld-chat-common qcld_unsubscribe_confirm"  unsubscription="no">'+globalwpw.settings.obj.no+'</span>';
                wpwMsg.double_nobg(restWarning,confirmBtn);

            }else if(globalwpw.wildCard==6 && globalwpw.unsubscriptionStep=='getemail'){

                if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
					var shopperName=  globalwpw.settings.obj.shopper_demo_name;
				}else{
					var shopperName=globalwpw.hasNameCookie;
				}
				
				var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_email);
				wpwMsg.single(askEmail);
				globalwpw.unsubscriptionStep = 'collectemailunsubscribe';

            }else if(globalwpw.wildCard==6 && globalwpw.unsubscriptionStep=='collectemailunsubscribe'){

                var validate = "";
                var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                if( re.test(msg)!=true){
                    validate = validate+wpwKits.randomMsg(globalwpw.settings.obj.invalid_email) ;
                }

                if(validate == ""){

                    var data = {'action':'qcld_wb_chatbot_email_unsubscription','email':msg};
                    wpwKits.ajax(data).done(function (response) {
                        var json=$.parseJSON(response);
                        if(json.status=='success'){
                            wpwMsg.single(wpwKits.randomMsg(globalwpw.settings.obj.you_have_successfully_unsubscribe));
                            setTimeout(function(){
                                var orPhoneSuggest = '';
								if(globalwpw.settings.obj.call_sup=="") {
									orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
								}
								var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
								wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
								globalwpw.wildCard=0;
							},globalwpw.settings.preLoadingTime);
                        }else{
                            var restWarning=wpwKits.randomMsg(globalwpw.settings.obj.we_do_not_have_your_email);
                            var confirmBtn='<span class="qcld-chat-common qcld_unsubscribe_again" >Try again?</span>';
                            wpwMsg.double_nobg(restWarning,confirmBtn);
                        }
                    })
                    //wpwMsg.single('Collected valid email and trying to unsubscribe');

                }else{
                    globalwpw.unsubscriptionStep = 'collectemailunsubscribe';
                    wpwMsg.single(validate);
                }


            }
        },

		subscription:function(msg){
			
			if(globalwpw.wildCard==3 && globalwpw.subscriptionStep=='welcome'){
				var restWarning=wpwKits.randomMsg(globalwpw.settings.obj.do_you_want_to_subscribe);
                var confirmBtn='<span class="qcld-chat-common qcld_subscribe_confirm" subscription="yes" >'+globalwpw.settings.obj.yes+'</span> <span> '+globalwpw.settings.obj.or+' </span><span class="qcld-chat-common qcld_subscribe_confirm"  subscription="no">'+globalwpw.settings.obj.no+'</span>';
                if(globalwpw.settings.obj.enable_gdpr){
                    wpwMsg.triple_nobg(restWarning, globalwpw.settings.obj.gdpr_text, confirmBtn);
                }else{
                    wpwMsg.double_nobg(restWarning,confirmBtn);
                }


				
			}
			else if(globalwpw.wildCard==3 && globalwpw.subscriptionStep=='getname'){

				if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
					var shopperName=  globalwpw.settings.obj.shopper_demo_name;
				}else{
					var shopperName=globalwpw.hasNameCookie;
				}
				
				var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_email);
				wpwMsg.single(askEmail);
				globalwpw.subscriptionStep = 'getemail';
				
			}
			else if(globalwpw.wildCard==3 && globalwpw.subscriptionStep=='getemail'){
				
				globalwpw.shopperEmail=msg;
                var validate = "";
                var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                if( re.test(globalwpw.shopperEmail)!=true){
                    validate = validate+wpwKits.randomMsg(globalwpw.settings.obj.invalid_email) ;
                }
                if(validate == ""){
                    if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
						var shopperName=  globalwpw.settings.obj.shopper_demo_name;
					}else{
						var shopperName=globalwpw.hasNameCookie;
					}
					
					var data = {'action':'qcld_wb_chatbot_email_subscription','name':shopperName,'email':globalwpw.shopperEmail, 'url':window.location.href};

					wpwKits.ajax(data).done(function (response) {
						var json=$.parseJSON(response);
						
						if(json.status=='success'){
							var sucMsg=json.msg;
							wpwMsg.single(sucMsg);

							setTimeout(function(){
                                var orPhoneSuggest = '';
								if(globalwpw.settings.obj.call_sup=="") {
									orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
								}
								var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
								wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
								globalwpw.wildCard=0;
							},globalwpw.settings.preLoadingTime);
						}else{
							var failMsg=json.msg;
							wpwMsg.single(failMsg);
							setTimeout(function(){
								wpwAction.bot(globalwpw.settings.obj.sys_key_help.toLowerCase());
							},globalwpw.settings.preLoadingTime)
							
						}
					});
					

                }else{
					globalwpw.subscriptionStep = 'getemail';
                    wpwMsg.single(validate);
                    
                }
				
			}
		},
        support:function (msg) {
            if(globalwpw.wildCard==1 && globalwpw.supportStep=='welcome'){
                var welcomeMsg= wpwKits.randomMsg(globalwpw.settings.obj.support_welcome);
                var orPhoneSuggest = '';
                if(globalwpw.settings.obj.support_query.length>0){
                    var supportsItems = '';
                    var messenger = '';
                    if(globalwpw.settings.obj.enable_messenger==1) {
                        messenger += '<span class="qcld-chatbot-wildcard"  data-wildcart="messenger">'+wpwKits.randomMsg(globalwpw.settings.obj.messenger_label)+'</span>';
                    }
                    if(globalwpw.settings.obj.enable_whats==1) {
                        messenger += '<span class="qcld-chatbot-wildcard"  data-wildcart="whatsapp">'+wpwKits.randomMsg(globalwpw.settings.obj.whats_label)+'</span>';
                    }
                    if(globalwpw.settings.obj.disable_feedback=='') {
                        messenger+= '<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.feedback_label)+'</span>';
                    }

                    $.each(globalwpw.settings.obj.support_query, function (i, obj) {
                        supportsItems += '<span class="qcld-chatbot-support-items"  data-query-index="' + i + '">' + obj + '</span>';
                    });
                    var orEmailSuggest = '<span class="qcld-chatbot-suggest-email" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_email) + '</span>';
					
                    if(globalwpw.settings.obj.call_sup=="") {
                        orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                    }
					
                     var queryOrEmail=supportsItems;
                }else {
                    if(globalwpw.settings.obj.call_sup=="") {
                        orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                    }
                    var queryOrEmail='<span class="qcld-chatbot-suggest-email" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_email) + '</span>'+orPhoneSuggest;

                }

                wpwMsg.double_nobg(welcomeMsg,queryOrEmail);
            } else if(globalwpw.wildCard==1 && globalwpw.supportStep=='email'){

                globalwpw.shopperEmail=msg;
                var validate = "";
                var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
                if( re.test(globalwpw.shopperEmail)!=true){
                    validate = validate+wpwKits.randomMsg(globalwpw.settings.obj.invalid_email) ;
                }
                if(validate == ""){
                    var askingMsg=wpwKits.randomMsg(globalwpw.settings.obj.asking_msg);
                    wpwMsg.single(askingMsg);
                    globalwpw.supportStep='message';
                    //keeping value in localstorage
                    localStorage.setItem("supportStep",  globalwpw.supportStep);

                }else{
                    wpwMsg.single(validate);
                    globalwpw.supportStep='email';
                    //keeping value in localstorage
                    localStorage.setItem("supportStep",  globalwpw.supportStep);
                }
            }else if(globalwpw.wildCard==1 && globalwpw.supportStep=='message'){
                var data = {'action':'qcld_wb_chatbot_support_email','name':globalwpw.hasNameCookie,'email':globalwpw.shopperEmail,'message':msg};

                wpwKits.ajax(data).done(function (response) {
                    var json=$.parseJSON(response);
                    var orPhoneSuggest='';
                    if(json.status=='success'){
                        var sucMsg=json.message;
                        wpwMsg.single(sucMsg);
                        //Asking email after showing answer.
                        setTimeout(function(){
                            if(globalwpw.settings.obj.call_sup=="") {
                                orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                            }
                            var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
                            wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
                            globalwpw.wildCard=0;
                        },globalwpw.settings.preLoadingTime);
                    }else{
                        var failMsg=json.message;
                        wpwMsg.single(failMsg);
                        //Asking email after showing answer.
                        setTimeout(function(){
                            if(globalwpw.settings.obj.call_sup=="") {
                                orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                            }
                            var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
                            wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
                            globalwpw.wildCard=0;
                        },globalwpw.settings.preLoadingTime);
                    }
                });

            }else if(globalwpw.wildCard==1 && globalwpw.supportStep=='phone'){
                var data = {'action':'qcld_wb_chatbot_support_phone','name':globalwpw.hasNameCookie,'phone':msg};
                wpwKits.ajax(data).done(function (response) {
                    var json=$.parseJSON(response);
                    var orPhoneSuggest='';
                    if(json.status=='success'){
                        var sucMsg=json.message;
                        wpwMsg.single(sucMsg);
                        //Asking email after showing answer.
                        setTimeout(function(){
                            if(globalwpw.settings.obj.call_sup=="") {
                                orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                            }
                            var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
                            wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
                            globalwpw.wildCard=0;
                        },globalwpw.settings.preLoadingTime);
                    }else if(json.status=='invalid'){

                        var failMsg=json.message;
                        wpwMsg.single(failMsg);
                        globalwpw.supportStep='phone';
                        globalwpw.wildCard=1;
                        //keeping value in localstorage
                        localStorage.setItem("wildCard",  globalwpw.wildCard);
                        localStorage.setItem("supportStep",  globalwpw.supportStep);

                    }else{
                        var failMsg=json.message;
                        wpwMsg.single(failMsg);
                        //Asking email after showing answer.
                        setTimeout(function(){
                            if(globalwpw.settings.obj.call_sup=="") {
                                orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                            }
                            var orEmailSuggest='<span class="qcld-chatbot-suggest-email" >'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
                            wpwKits.suggestEmail(orEmailSuggest+orPhoneSuggest);
                            globalwpw.wildCard=0;
                        },globalwpw.settings.preLoadingTime);
                    }
                });

            }else if(globalwpw.wildCard==1 && globalwpw.supportStep=='search'){
                msg = wpwKits.filterStopWords(msg);
				if(msg!='' && globalwpw.settings.obj.disable_sitesearch==''){
					var data = {'action':'wpbo_search_site','name':globalwpw.hasNameCookie,'keyword':msg};
					wpwKits.ajax(data).done(function (response) {
						var json=$.parseJSON(response);
						if(json.status=='success'){
                            $('span[data-wildcart="back"]').remove();
                            wpwMsg.single(json.html+'<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                            
						}else{
							wpwMsg.single(json.html);
							setTimeout(function(){
								var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
								wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
							},globalwpw.settings.preLoadingTime)
							
						}
						globalwpw.wildCard=0;
					});
				}else{
					globalwpw.wildCard=0;
					wpwMsg.single(wpwKits.randomMsg(globalwpw.settings.obj.empty_filter_msg));
					setTimeout(function(){
						var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
						wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
					},globalwpw.settings.preLoadingTime)
				}
            }

        }
    };
    /*
     * wpwbot Actions are divided into two part
     * shopper will response after initialize message,
     * then based on shopper activities shopper will act.
     */
    var wpwAction={
        bot:function(msg){
            //Disable the Editor
			
            wpwKits.disableEditor(globalwpw.settings.obj.agent+' '+wpwKits.randomMsg(globalwpw.settings.obj.is_typing));
            msg=msg.toLowerCase();
			
            if(globalwpw.wildcardsHelp.indexOf(msg)>-1){
			
				
			
                if(msg==globalwpw.settings.obj.sys_key_help.toLowerCase()){
                    globalwpw.wildCard=0;
                    var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.wildcard_msg);
                    wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
                }
				
                if(msg==globalwpw.settings.obj.sys_key_support.toLowerCase()){
                    globalwpw.wildCard=1;
                    globalwpw.supportStep='welcome';
                    wpwTree.support(msg);
                }
				
				if(msg==globalwpw.settings.obj.email_subscription.toLowerCase()){
                    globalwpw.wildCard=3;
                    globalwpw.subscriptionStep='welcome';
                    wpwTree.subscription(msg);
                }

                if(msg==globalwpw.settings.obj.unsubscribe.toLowerCase()){
                    globalwpw.wildCard=6;
                    globalwpw.unsubscriptionStep='welcome';
                    wpwTree.unsubscription(msg);
                }
				
                if(msg==globalwpw.settings.obj.sys_key_reset.toLowerCase()){
                    var restWarning=globalwpw.settings.obj.reset;
                    var confirmBtn='<span class="qcld-chatbot-reset-btn" reset-data="yes" >'+globalwpw.settings.obj.yes+'</span> <span> '+globalwpw.settings.obj.or+' </span><span class="qcld-chatbot-reset-btn"  reset-data="no">'+globalwpw.settings.obj.no+'</span>';
                    wpwMsg.double_nobg(restWarning,confirmBtn);
                }
				if(msg==globalwpw.settings.obj.sys_key_livechat.toLowerCase()){
					wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
					if(globalwpw.settings.obj.is_livechat_active==1){
						if(globalwpw.settings.obj.disable_livechat_operator_offline==1){
							if(globalwpw.settings.obj.is_operator_online==1){
								if($('#wbca_signup_fullname').length>0){
									if(localStorage.getItem('shopper')!==null){
										$('#wbca_signup_fullname').val(localStorage.getItem('shopper'));
									}
									if(localStorage.getItem('shopperemail')!==null){
										$('#wbca_signup_email').val(localStorage.getItem('shopperemail'));
									}
								}
								$("#wp-chatbot-board-container").removeClass('active-chat-board');
								$('.wp-chatbot-container').hide();
								$('.wpbot-saas-live-chat').show();
							}
						}else{
							if($('#wbca_signup_fullname').length>0){
								if(localStorage.getItem('shopper')!==null){
									$('#wbca_signup_fullname').val(localStorage.getItem('shopper'));
								}
								if(localStorage.getItem('shopperemail')!==null){
									$('#wbca_signup_email').val(localStorage.getItem('shopperemail'));
								}
							}							
							$("#wp-chatbot-board-container").removeClass('active-chat-board');
							$('.wp-chatbot-container').hide();
							$('.wpbot-saas-live-chat').show();
						}
					}
					
                }

            }else{
				
                /*
                 *   Greeting part
                 *   bot action
                 */
				
                if(globalwpw.wildCard==0){
					//When intialize 1 and don't have cookies then keep  the name of shooper in in cookie
					if(globalwpw.initialize==1 && !localStorage.getItem('shopper')  && globalwpw.wildCard==0){
						wpwTree.greeting(msg);
					}else if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
						wpwTree.greeting(msg);
					}else{
						//Default intents site search
						msg = wpwKits.filterStopWords(msg);
						if(msg!='' && globalwpw.settings.obj.disable_sitesearch==''){
							var data = {'action':'wpbo_search_site','name':globalwpw.hasNameCookie,'keyword':msg};
							wpwKits.ajax(data).done(function (response) {
								var json=$.parseJSON(response);
								if(json.status=='success'){
                                    $('span[data-wildcart="back"]').remove();
                                    wpwMsg.single(json.html+'<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                                    
								}else{
									wpwMsg.single(json.html);
									setTimeout(function(){
										var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
										wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
									},globalwpw.settings.preLoadingTime)
									
								}
								globalwpw.wildCard=0;
							});
						}else{
							globalwpw.wildCard=0;
							wpwMsg.single(wpwKits.randomMsg(globalwpw.settings.obj.empty_filter_msg));
							setTimeout(function(){
								var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
								wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
							},globalwpw.settings.preLoadingTime)
						}
					}
					
					
					
                    //
					
                }

              
                if(globalwpw.wildCard==1){
                    wpwTree.support(msg);
                }
				if(globalwpw.wildCard==3){
                    wpwTree.subscription(msg);
                }
                if(globalwpw.wildCard==6){
                    wpwTree.unsubscription(msg);
                }

            }
        },
        shopper:function (msg) {
            wpwMsg.shopper(msg);
            if(globalwpw.wildCard==1) {
                this.bot(msg);
            }else if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.wildCard==0 && globalwpw.ai_step==1 && globalwpw.df_status_lock==0){
                this.bot(msg);
            } else{
				var filterMsg=wpwKits.filterStopWords(msg);
                //Filtering the user given messages by stopwords
				if(!localStorage.getItem('shopper')){
					filterMsg = msg;
				}

                //handle empty filterMsg as repeat the message.
                if(filterMsg=="")  {
					//need to add condition for email collecting
					if(globalwpw.settings.obj.ask_email_wp_greetings==1){
						this.bot(msg);
					}else{
					
							globalwpw.repeatQueryEmpty=wpwKits.randomMsg(globalwpw.settings.obj.empty_filter_msg);
							globalwpw.emptymsghandler++;
						
						wpwMsg.single(globalwpw.repeatQueryEmpty);
						setTimeout(function(){
							var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
							wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
						},globalwpw.settings.preLoadingTime)
					}

                }else {
                    globalwpw.emptymsghandler=0;
                    this.bot(filterMsg);
                }

            }

        }
    };



    

    /*
     * wpwBot Plugin Creation without selector and
     * wpwbot and shoppers all activities will be handled.
     */
    $.wpwbot = function(options) {

        //Using plugins defualts values or overwrite by options.
        var settings = $.extend({}, $.wpwbot.defaults, options);
        //Updating global settings
        globalwpw.settings=settings;
        //updating the helpkeywords
        globalwpw.wildcardsHelp=[globalwpw.settings.obj.sys_key_help.toLowerCase(),globalwpw.settings.obj.sys_key_support.toLowerCase(),globalwpw.settings.obj.sys_key_reset.toLowerCase(), globalwpw.settings.obj.email_subscription.toLowerCase(), globalwpw.settings.obj.unsubscribe.toLowerCase(), globalwpw.settings.obj.sys_key_livechat.toLowerCase() ]
        //updating wildcards
        globalwpw.wildcards='';
        
		
		
		//Adding custom Intents
		
		if(globalwpw.settings.obj.disable_email_subscription=="") {
			globalwpw.wildcards += '<span class="qcld-chatbot-default wpbd_subscription">' + globalwpw.settings.obj.email_subscription + '</span>';
		}
		
		if(globalwpw.settings.obj.custom_intent[0]!='' && globalwpw.settings.obj.ai_df_enable==1){
			
			for(var i=0;i<globalwpw.settings.obj.custom_intent.length;i++){
				
				if(globalwpw.settings.obj.custom_intent[i]!='' && globalwpw.settings.obj.custom_intent_label[i]!=''){
					globalwpw.wildcards += '<span class="qcld-chatbot-custom-intent" data-text="'+globalwpw.settings.obj.custom_intent_label[i]+'" >'+globalwpw.settings.obj.custom_intent_label[i]+'</span>';
				}
				
			}
			
		}
		
		if(globalwpw.settings.obj.disable_livechat=="" && globalwpw.settings.obj.is_livechat_active==1) {
			
			if(globalwpw.settings.obj.disable_livechat_operator_offline==1){
				if(globalwpw.settings.obj.is_operator_online==1){
					globalwpw.wildcards += '<span class="qcld-chatbot-custom-intent" data-text="'+globalwpw.settings.obj.sys_key_livechat+'" >'+(globalwpw.settings.obj.livechat_label)+'</span>';
				}
			}else{						
				globalwpw.wildcards += '<span class="qcld-chatbot-custom-intent" data-text="'+globalwpw.settings.obj.sys_key_livechat+'" >'+(globalwpw.settings.obj.livechat_label)+'</span>';
			}
			
		}
		
		if(globalwpw.settings.obj.livechat=='1' && !globalwpw.settings.obj.is_livechat_active) {
			globalwpw.wildcards += '<span class="qcld-chatbot-default wpbo_live_chat" >'+globalwpw.settings.obj.livechat_button_label+'</span>';
		}
		
		if(globalwpw.settings.obj.disable_sitesearch=='') {
			globalwpw.wildcards += '<span class="qcld-chatbot-site-search" >'+globalwpw.settings.obj.site_search+'</span>';
		}
		
		if(globalwpw.settings.obj.disable_faq=='') {
			globalwpw.wildcards+='<span class="qcld-chatbot-wildcard"  data-wildcart="support">'+wpwKits.randomMsg(globalwpw.settings.obj.wildcard_support)+'</span>';
		}
		
		
        if(globalwpw.settings.obj.enable_messenger==1) {
            globalwpw.wildcards += '<span class="qcld-chatbot-wildcard"  data-wildcart="messenger">'+wpwKits.randomMsg(globalwpw.settings.obj.messenger_label)+'</span>';
        }
        if(globalwpw.settings.obj.enable_whats==1) {
            globalwpw.wildcards += '<span class="qcld-chatbot-wildcard"  data-wildcart="whatsapp">'+wpwKits.randomMsg(globalwpw.settings.obj.whats_label)+'</span>';
        }
		
        if(globalwpw.settings.obj.disable_feedback=='') {
            globalwpw.wildcards += '<span class="qcld-chatbot-suggest-email">'+globalwpw.settings.obj.send_us_email+'</span>';
        }
		if(globalwpw.settings.obj.disable_leave_feedback=='') {
            globalwpw.wildcards += '<span class="qcld-chatbot-suggest-email wpbd_feedback">'+globalwpw.settings.obj.leave_feedback+'</span>';
        }
		
        if(globalwpw.settings.obj.call_gen=="") {
            globalwpw.wildcards += '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
        }
		



        //Initialize the wpwBot with greeting and if already initialize and given name then return greeting..
        if(localStorage.getItem("wpwHitory") && globalwpw.initialize==0 ){
            var wpwHistory=localStorage.getItem("wpwHitory");
            
            $(globalwpw.settings.messageWrapper).html(wpwHistory);
            //Scroll to the last element.
            wpwKits.scrollTo();
            //Now mainting the current stages tokens
            globalwpw.initialize=1;
            if(localStorage.getItem("wildCard")){
                globalwpw.wildCard=localStorage.getItem("wildCard");
            }
            if(localStorage.getItem("productStep")){
                globalwpw.productStep=localStorage.getItem("productStep");
            }
            if(localStorage.getItem("orderStep")){
                globalwpw.orderStep=localStorage.getItem("orderStep");
            }
            if(localStorage.getItem("supportStep")){
                globalwpw.supportStep=localStorage.getItem("supportStep");
            }
            if(localStorage.getItem("aiStep")){
                globalwpw.ai_step=localStorage.getItem("aiStep");
            }
            //update the value for initializing.
            globalwpw.initialize=1;

        } else {
            if(globalwpw.initialize==0 && globalwpw.wildCard==0 && globalwpw.settings.obj.re_target_handler==0){
                wpwWelcome.greeting();
                //update the value for initializing.
                globalwpw.initialize=1;
            }else{  // re targeting part .
                setTimeout(function (e) {
                    wpwWelcome.greeting();
                },8500);
                globalwpw.initialize=1;
            }
        }
        //When shopper click on send button
        $(document).on('click',settings.sendButton,function (e) {
            var shopperMsg =$(settings.messageEditor).val();
            if(shopperMsg != ""){
                wpwAction.shopper(wpwKits.htmlTagsScape(shopperMsg));
                $(settings.messageEditor).val('');
            }
        });

        /*
         * Or when shopper press the ENTER key
         * Then chatting functionality will be started.
         */
		
        $(document).on('keypress',settings.messageEditor,function (e) {
            if (e.which == 13||e.keyCode==13) {
                e.preventDefault();
                var shopperMsg =$(settings.messageEditor).val();
                if(shopperMsg != ""){
                    wpwAction.shopper(wpwKits.htmlTagsScape(shopperMsg));
                    $(settings.messageEditor).val('');
                }
            }
        });
        //Click on the wildcards to select a service
        $(document).on('click','.qcld-chatbot-wildcard',function(){
            var wildcardData=$(this).attr('data-wildcart');
            var shooperChoice=$(this).text();
            wpwMsg.shopper_choice(shooperChoice);
            //Wild cards handling for bot.
            if(wildcardData=='product'){
                globalwpw.wildCard=1;
                globalwpw.productStep='asking'
                wpwAction.bot('from wildcard product');
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("productStep", globalwpw.productStep);
            }
            if(wildcardData=='catalog'){
                wpwAction.bot(globalwpw.settings.obj.sys_key_catalog.toLowerCase());
            }
            if(wildcardData=='featured'){
                globalwpw.wildCard=1;
                globalwpw.productStep='featured'
                wpwAction.bot('from wildcard product');
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("productStep", globalwpw.productStep);
            }
            if(wildcardData=='sale'){
                globalwpw.wildCard=1;
                globalwpw.productStep='sale'
                wpwAction.bot('from wildcard product');
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("productStep", globalwpw.productStep);
            }
            if(wildcardData=='order'){
                globalwpw.wildCard=2;
                globalwpw.orderStep='welcome';
                wpwAction.bot('from wildcard order');
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("orderStep", globalwpw.orderStep);
            }
            if(wildcardData=='support'){
                globalwpw.wildCard=1;
                globalwpw.supportStep='welcome';
                wpwAction.bot('from wildcard support');
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("supportStep", globalwpw.supportStep);

            }
            if(wildcardData=='back'){
                globalwpw.wildCard=0;
                wpwAction.bot(globalwpw.settings.obj.sys_key_help.toLowerCase());
                //keeping value in localstorage
                localStorage.setItem("wildCard",  globalwpw.wildCard);
            }

            if(wildcardData=='messenger'){
                var url='https://www.messenger.com/t/'+globalwpw.settings.obj.fb_page_id;
                var win = window.open(url, '_blank');
                win.focus();
            }
            if(wildcardData=='whatsapp'){
                var url='https://api.whatsapp.com/send?phone='+globalwpw.settings.obj.whats_num;
                var win = window.open(url, '_blank');
                win.focus();
            }

        });
        //
        $(document).on('click','.qcld-chatbot-product-category',function(){
            var catType=$(this).attr('data-category-type');
            var shopperChoiceCatId=$(this).text()+'#'+$(this).attr('data-category-id');
            var shopperChoiceCategory=$(this).text();
            if(catType=='hasChilds'){
                //Now hide all categories but shopper choice.
                wpwMsg.shopper_choice(shopperChoiceCategory);
                //updating the product steps and bringing the product by category.
                wpwKits.subCats($(this).attr('data-category-id'));
                globalwpw.productStep='search';
                globalwpw.wildCard=1;
            }else{
                //Now hide all categories but shopper choice.
                wpwMsg.shopper_choice(shopperChoiceCategory);
                //updating the product steps and bringing the product by category.
                globalwpw.productStep='category';
                globalwpw.wildCard=1;
                //keeping value in localstorage
                localStorage.setItem("productStep",  globalwpw.productStep);
                wpwAction.bot(shopperChoiceCatId);
            }

        });
        //Product Load More features for product search or category products
        $(document).on('click','#wp-chatbot-loadmore',function (e) {
            $('#wp-chatbot-loadmore-loader').html('<img class="wp-chatbot-comment-loader" src="'+globalwpw.settings.obj.image_path+'loadmore.gif" alt="..." />');
            var loadMoreDom=$(this);
            var productOffest=loadMoreDom.attr('data-offset');
            var searchType=loadMoreDom.attr('data-search-type');
            var searchTerm=loadMoreDom.attr('data-search-term');
            var data = { 'action': 'qcld_wb_chatbot_load_more','offset': productOffest,'search_type': searchType,'search_term': searchTerm};
            //Load more ajax handler.
            wpwKits.ajax(data).done(function (response) {
                //Change button text
                $('#wp-chatbot-loadmore-loader').html('');
                $('.wp-chatbot-products').append(response.html);
                loadMoreDom.attr('data-search-term',response.search_term);
                wpwKits.wpwHistorySave();
                loadMoreDom.attr('data-offset',response.offset);
                if(response.product_num <= response.per_page){
                    loadMoreDom.hide();
                    //Now show the user infinite.
                    setTimeout(function () {
                        var searchAgain = wpwKits.randomMsg(globalwpw.settings.obj.product_infinite);
                        wpwMsg.single(searchAgain);
                        globalwpw.productStep='search';
                        //keeping value in localstorage
                        localStorage.setItem("productStep",  globalwpw.productStep);
                    },globalwpw.settings.wildcardsShowTime);

                }
                //scroll to the last message
                wpwKits.scrollTo();
            });
        });
        /*Products details part **/
        if(globalwpw.settings.obj.open_product_detail!=1){
        $(document).on('click','.wp-chatbot-product a',function (e) {
             e.preventDefault();
            $('.wp-chatbot-product-container').addClass('active-chatbot-product-details');
            $('.wp-chatbot-product-reload').addClass('wp-chatbot-product-loading').html('<img class="wp-chatbot-product-loader" src="'+globalwpw.settings.obj.image_path+'comment.gif" alt="Loading..." />');
            var productId=$(this).attr('wp-chatbot-pid');
            var data = { 'action':'qcld_wb_chatbot_product_details', 'wp_chatbot_pid':productId};
            //product details ajax handler.
            wpwKits.ajax(data).done(function (response) {
                $('.wp-chatbot-product-reload').removeClass('wp-chatbot-product-loading').html('');
                $('#wp-chatbot-product-title').html(response.title);
                $('#wp-chatbot-product-description').html(response.description);
                $('#wp-chatbot-product-image').html(response.image);
                $('#wp-chatbot-product-price').html(response.price);
                $('#wp-chatbot-product-quantity').html(response.quantity);
                $('#wp-chatbot-product-variable').html(response.variation);
                $('#wp-chatbot-product-cart-button').html(response.buttton);
                //Load gallery magnify
                setTimeout(function () {
                    $('#wp-chatbot-product-image-large-path').magnificPopup({type:'image'});
                },1000);

                //For shortcode handle recenlty view product by ajax as
                if($('#wp-chatbot-shortcode-template-container').length > 0){
                    var data = {'action':'qcld_wb_chatbot_recently_viewed_products'};
                    wpwKits.ajax(data).done(function (response) {
                        $('.wp-chatbot-product-shortcode-container').html(response);
                        $('.chatbot-sidebar .wp-chatbot-products').slimScroll({height: '435px', start: 'top'});
                    });
                }
            });

        });
        }
		
		$(document).on('click', '.wpb-quick-reply', function(e){
			e.preventDefault();
			$('#wp-chatbot-editor').val($(this).html());
			$('#wp-chatbot-send-message').trigger( "click" );
		})
		
        //Image gallery.
        $(document).on('click','.wp-chatbot-product-image-thumbs-path',function (e) {
            e.preventDefault();
            var imagePath=$(this).attr('href');
            $('#wp-chatbot-product-image-large-path').attr('href',imagePath);
            $('#wp-chatbot-product-image-large-src').attr('src',imagePath);
            //handle thumb active one
            $('.wp-chatbot-product-image-thumbs-path').parent().removeClass('wp-chatbot-product-active-image-thumbs');
            $(this).parent().addClass('wp-chatbot-product-active-image-thumbs');
        });
        //Product details close
        $(document).on('click', '.wp-chatbot-product-close', function (e) {
            $('.wp-chatbot-product-container').removeClass('active-chatbot-product-details');
        });
        /*add to cart part **/
        $(document).on("click","#wp-chatbot-add-cart-button",function (e) {
            var pId=$(this).attr('wp-chatbot-product-id');
            var qnty=$("#vPQuantity").val();
            var data = {'action': 'qcld_wb_chatbot_add_to_cart','product_id': pId,'quantity': qnty };
            //add to cart ajax handler.
            wpwKits.ajax(data).done(function (response) {
                //Change button text
                if(response=="simple"){
                    //Showing cart.
                    wpwKits.showCart();
                    //handle the active tab on chat board.
                    $('.wp-chatbot-operation-option').each(function(){
                        if($(this).attr('data-option')=='cart'){
                            $(this).parent().addClass('wp-chatbot-operation-active');
                        }else{
                            $(this).parent().removeClass('wp-chatbot-operation-active');
                        }
                    });
                }
                //Hide the shortcode and chat ui product details.
                $('.wp-chatbot-product-container').removeClass('active-chatbot-product-details');
            });
        });
        //Add to cart operation for variable product.
        $(document).on('click','#wp-chatbot-variation-add-to-cart',function(event) {
            event.preventDefault();

            var pId=$(this).attr('wp-chatbot-product-id');
            var quanity=$('#vPQuantity').val();
            var variation_id=$(this).attr('variation_id');
            var attributes=new Array();
            $.each($("#wp-chatbot-variation-data select"), function(){
                var attribute = $(this).attr('name')+'#'+ $(this).find('option:selected').text();
                attributes.push(attribute);
            });
            var data = {
                'action': 'variable_add_to_cart',
                'p_id': pId,
                'quantity': quanity,
                'variations_id':variation_id,
                'attributes':attributes
            };
            //add to cart ajax handler.
            wpwKits.ajax(data).done(function (response) {
                //Change button text
                if(response=="variable"){
                    //Showing cart.
                    wpwKits.showCart();
                    //handle the active tab on chat board.
                    //handle the active tab on chat board.
                    $('.wp-chatbot-operation-option').each(function(){
                        if($(this).attr('data-option')=='cart'){
                            $(this).parent().addClass('wp-chatbot-operation-active');
                        }else{
                            $(this).parent().removeClass('wp-chatbot-operation-active');
                        }
                    });
                }
                //Hide the shortcode and chat ui product details.
                $('.wp-chatbot-product-container').removeClass('active-chatbot-product-details');
            });
        });

        //search load more
        $(document).on('click', '.wp-chatbot-loadmore', function(e){
            e.preventDefault();
            var obj = $(this);

            var keyword = obj.attr('data-keyword');
            var post_type = obj.attr('data-post_type');
            var page = obj.attr('data-page');
            obj.text('Loading...');
            var data = {'action':'wpbo_search_site_pagination','name':globalwpw.hasNameCookie,'keyword':keyword, 'type': post_type, 'page': page};
            wpwKits.ajax(data).done(function (res) {
                var json=$.parseJSON(res);
                if(json.status=='success'){
                    $('span[data-wildcart="back"]').remove();
                    
                    wpwMsg.single_nobg(json.html+'<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                    obj.remove();
                }else{
                    
                    if(globalwpw.counter == globalwpw.settings.obj.no_result_attempt_count || globalwpw.settings.obj.no_result_attempt_count == 0 ){
                        
                        wpwMsg.single(json.html);
                        setTimeout(function(){
                            var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
                            wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
                        },globalwpw.settings.preLoadingTime)
                        globalwpw.counter = 0;
                        
                    }else{
                        globalwpw.counter++;
                        wpwTree.df_reply(response);
                    }

                }
                globalwpw.wildCard=0;
            });


        })

        //search load more
        $(document).on('click', '.wp-chatbot-loadmore2', function(e){
            e.preventDefault();
            var obj = $(this);

            var keyword = obj.attr('data-keyword');
            
            var page = obj.attr('data-page');
            obj.text('Loading...');
            var data = {'action':'wpbo_search_site_pagination2','name':globalwpw.hasNameCookie,'keyword':keyword, 'page': page};
            wpwKits.ajax(data).done(function (res) {
                var json=$.parseJSON(res);
                if(json.status=='success'){
                    $('span[data-wildcart="back"]').remove();
                    
                    wpwMsg.single_nobg(json.html+'<span class="qcld-chatbot-wildcard"  data-wildcart="back">' + wpwKits.randomMsg(globalwpw.settings.obj.back_to_start) + '</span>');
                    obj.remove();
                }else{
                    
                    if(globalwpw.counter == globalwpw.settings.obj.no_result_attempt_count || globalwpw.settings.obj.no_result_attempt_count == 0 ){
                        
                        wpwMsg.single(json.html);
                        setTimeout(function(){
                            var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
                            wpwMsg.double_nobg(serviceOffer,globalwpw.wildcards);
                        },globalwpw.settings.preLoadingTime)
                        globalwpw.counter = 0;
                        
                    }else{
                        globalwpw.counter++;
                        wpwTree.df_reply(response);
                    }

                }
                globalwpw.wildCard=0;
            });


        })


        //Update cart.
        $(document).on("change", ".qcld-wp-chatbot-cart-item-qnty", function () {
            //Update editor only for chat ui
            if($('#wp-chatbot-shortcode-template-container').length == 0) {
                wpwKits.disableEditor(wpwKits.randomMsg(globalwpw.settings.obj.cart_updating));
            }
            var currentItem=$(this);
            setTimeout(function () {
                var item_key=currentItem.attr('data-cart-item');
                var qnty=currentItem.val();
                var data = {'action': 'qcld_wb_chatbot_update_cart_item_number','cart_item_key':item_key,'qnty':qnty};
                wpwKits.ajax(data).done(function () {
                    //Showing cart.
                    wpwKits.showCart();
                });
            }, globalwpw.settings.preLoadingTime);
        });
        //remove the cart item from global cart.
        $(document).on("click", ".wp-chatbot-remove-cart-item", function () {
            //Update editor only for chat ui
            if($('#wp-chatbot-shortcode-template-container').length == 0) {
                wpwKits.disableEditor(wpwKits.randomMsg(globalwpw.settings.obj.cart_removing));
            }
            var item=$(this).attr('data-cart-item');
            var data = {'action': 'qcld_wb_chatbot_cart_item_remove', 'cart_item':item };
            wpwKits.ajax(data).done(function () {
                //Showing cart.
                wpwKits.showCart();
            })
        });

        /*Support query answering.. **/
        $(document).on('click','.qcld-chatbot-support-items',function (e) {
            var shopperChoose=$(this).text();
            var queryIndex=$(this).attr('data-query-index');
            wpwMsg.shopper_choice(shopperChoose);
            //Now answering the query.
            var queryAns=globalwpw.settings.obj.support_ans[queryIndex];
            wpwMsg.single(queryAns);
            //Asking email after showing answer.
            var orPhoneSuggest='';
            setTimeout(function(){
                if(globalwpw.settings.obj.call_sup!=1) {
                    orPhoneSuggest = '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
                }
                var orEmailSuggest='<span class="qcld-chatbot-suggest-email">'+wpwKits.randomMsg(globalwpw.settings.obj.support_email)+'</span>';
                wpwKits.suggestEmail(orPhoneSuggest+orEmailSuggest);
            },globalwpw.settings.wildcardsShowTime);
        });
        /*Support Email **/
        $(document).on('click','.qcld-chatbot-suggest-email',function (e) {
            var shopperChoice=$(this).text();
            wpwMsg.shopper_choice(shopperChoice);
            //Then ask email address
            if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
                var shopperName=  globalwpw.settings.obj.shopper_demo_name;
            }else{
                var shopperName=globalwpw.hasNameCookie;
            }
            var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_email);
            wpwMsg.single(askEmail);
            //Now updating the support part as .
            globalwpw.supportStep='email';
            globalwpw.wildCard=1;
            //keeping value in localstorage
            localStorage.setItem("wildCard",  globalwpw.wildCard);
            localStorage.setItem("supportStep",  globalwpw.supportStep);

        });
		
		
        /*Support Phone **/
        $(document).on('click','.qcld-chatbot-suggest-phone',function (e) {
            var shopperChoice=$(this).text();
            wpwMsg.shopper_choice(shopperChoice);
            //Then ask email address
            if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
                var shopperName=  globalwpw.settings.obj.shopper_demo_name;
            }else{
                var shopperName=globalwpw.hasNameCookie;
            }
            var askEmail=globalwpw.settings.obj.hello+' '+shopperName+'! '+ wpwKits.randomMsg(globalwpw.settings.obj.asking_phone);
            wpwMsg.single(askEmail);
            //Now updating the support part as .
            globalwpw.supportStep='phone';
            globalwpw.wildCard=1;
            //keeping value in localstorage
            localStorage.setItem("wildCard",  globalwpw.wildCard);
            localStorage.setItem("supportStep",  globalwpw.supportStep);

        });
		
		$(document).on('click','.wpbd_subscription',function (e) {
			 var shopperChoice=$(this).text();
			 wpwMsg.shopper_choice(shopperChoice);
			globalwpw.wildCard=3;
			globalwpw.subscriptionStep='welcome';
			wpwTree.subscription(shopperChoice);

        });
		/* support Search */
		
		$(document).on('click','.qcld-chatbot-site-search',function (e) {
            var shopperChoice=$(this).text();
            wpwMsg.shopper_choice(shopperChoice);
            //Then ask email address
            if(typeof(globalwpw.hasNameCookie)=='undefined'|| globalwpw.hasNameCookie==''){
                var shopperName=  globalwpw.settings.obj.shopper_demo_name;
            }else{
                var shopperName=globalwpw.hasNameCookie;
            }
			var askEmail= wpwKits.randomMsg(globalwpw.settings.obj.asking_search_keyword)
			
            wpwMsg.single(askEmail.replace("#name", shopperName));
            //Now updating the support part as .
            globalwpw.supportStep='search';
            globalwpw.wildCard=1;
            //keeping value in localstorage
            localStorage.setItem("wildCard",  globalwpw.wildCard);
            localStorage.setItem("supportStep",  globalwpw.supportStep);

        });
		$(document).on('click','.wpbo_live_chat',function (e) {
			e.preventDefault();
			wpwKits.wpwOpenWindow(globalwpw.settings.obj.livechatlink,'Testing', 400, 600);
        });

		$(document).on('click','#wpbot_live_chat_floating_btn',function (e) {
			e.preventDefault();
            if(globalwpw.settings.obj.is_livechat_active){
                $('#wp-chatbot-editor').val(globalwpw.settings.obj.sys_key_livechat);
			    $('#wp-chatbot-send-message').trigger( "click" );
            }else{
                wpwKits.wpwOpenWindow(globalwpw.settings.obj.livechatlink,'Testing', 400, 600);
            }
            

        });
		
		$(document).on('click','.qcld-chatbot-custom-intent',function (e) {
			var shopperChoice=$(this).attr('data-text');
			$('#wp-chatbot-editor').val(shopperChoice);
			$('#wp-chatbot-send-message').trigger( "click" );
        });
		
        //Show chat,cart and recently view products by click event.
        $(document).on('click','.wp-chatbot-operation-option',function (e) {
            e.preventDefault();
            var oppt=$(this).attr('data-option');
            if(oppt=='recent'  && globalwpw.wpwIsWorking==0){
                wpwKits.disableEditor(globalwpw.settings.obj.sys_key_product);
                var data = {'action':'qcld_wb_chatbot_recently_viewed_products'};
                wpwKits.ajax(data).done(function (response) {
                    $(globalwpw.settings.messageWrapper).html(response);
                });
                //First remove wp-chatbot-operation-active class from all selector
                $('.wp-chatbot-operation-option').parent().removeClass('wp-chatbot-operation-active');
                //then add the active class to current element.
                $(this).parent().addClass('wp-chatbot-operation-active');
            }else if(oppt=='chat' && globalwpw.wpwIsWorking==0){
                $(globalwpw.settings.messageWrapper).html(localStorage.getItem("wpwHitory"));
                wpwKits.scrollTo();
                wpwKits.enableEditor(wpwKits.randomMsg(globalwpw.settings.obj.send_a_msg));
                //First remove wp-chatbot-operation-active class from all selector
                $('.wp-chatbot-operation-option').parent().removeClass('wp-chatbot-operation-active');
                //then add the active class to current element.
                $(this).parent().addClass('wp-chatbot-operation-active');
            } else if(oppt=='cart' && globalwpw.wpwIsWorking==0){
                wpwKits.showCart();
                //First remove wp-chatbot-operation-active class from all selector
                $('.wp-chatbot-operation-option').parent().removeClass('wp-chatbot-operation-active');
                //then add the active class to current element.
                $(this).parent().addClass('wp-chatbot-operation-active');
            } else if(oppt=='help' && globalwpw.wpwIsWorking==0){
                if( $('.wp-chatbot-messages-container').length==0) {
                    //if from other nob then goo to the chat window
                    $(globalwpw.settings.messageWrapper).html(localStorage.getItem("wpwHitory"));
                    //Showing help message
                    setTimeout(function () {
                        wpwKits.scrollTo();
                        var helpWelcome = wpwKits.randomMsg(globalwpw.settings.obj.help_welcome);
                        var helpMsg = wpwKits.randomMsg(globalwpw.settings.obj.help_msg);
                        wpwMsg.double(helpWelcome,helpMsg);
                        //dialogflow
                        if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
                            globalwpw.wildCard=0;
                            globalwpw.ai_step=1;
                            localStorage.setItem("wildCard",  globalwpw.wildCard);
                            localStorage.setItem("aiStep", globalwpw.ai_step);
                        }
                    },globalwpw.settings.preLoadingTime);
                }else{
                    //Showing help message on chat self window.
                    var helpWelcome = wpwKits.randomMsg(globalwpw.settings.obj.help_welcome);
                    var helpMsg = wpwKits.randomMsg(globalwpw.settings.obj.help_msg);
                    wpwMsg.double(helpWelcome,helpMsg);
                    //dialogflow
                    if(globalwpw.settings.obj.ai_df_enable==1 && globalwpw.df_status_lock==0){
                        globalwpw.wildCard=0;
                        globalwpw.ai_step=1;
                        localStorage.setItem("wildCard",  globalwpw.wildCard);
                        localStorage.setItem("aiStep", globalwpw.ai_step);
                    }
                }
                //First remove wp-chatbot-operation-active class from all selector
                $('.wp-chatbot-operation-option').parent().removeClass('wp-chatbot-operation-active');
                //then add the active class to current element.
                $(this).parent().addClass('wp-chatbot-operation-active');

            } else if(oppt=='support' && globalwpw.wpwIsWorking==0){
				
				var support_wildcards = '';
				
			
			
				if(globalwpw.settings.obj.livechat=='1' && !globalwpw.settings.obj.is_livechat_active) {
					support_wildcards += '<span class="qcld-chatbot-default wpbo_live_chat" >'+globalwpw.settings.obj.livechat_button_label+'</span>';
				}

				if(globalwpw.settings.obj.disable_feedback=='') {
					support_wildcards += '<span class="qcld-chatbot-suggest-email">'+globalwpw.settings.obj.send_us_email+'</span>';
				}
				if(globalwpw.settings.obj.disable_leave_feedback=='') {
					support_wildcards += '<span class="qcld-chatbot-suggest-email wpbd_feedback">'+globalwpw.settings.obj.leave_feedback+'</span>';
				}
				
				if(globalwpw.settings.obj.call_gen=="") {
					support_wildcards += '<span class="qcld-chatbot-suggest-phone" >' + wpwKits.randomMsg(globalwpw.settings.obj.support_phone) + '</span>';
				}
				
				
				var serviceOffer=wpwKits.randomMsg(globalwpw.settings.obj.support_option_again);
				wpwMsg.double_nobg(serviceOffer,support_wildcards);
            }else if(oppt=='live-chat' && globalwpw.wpwIsWorking==0){
				if($('#wbca_signup_fullname').length>0){
					if(localStorage.getItem('shopper')!==null){
						$('#wbca_signup_fullname').val(localStorage.getItem('shopper'));
					}
					if(localStorage.getItem('shopperemail')!==null){
						$('#wbca_signup_email').val(localStorage.getItem('shopperemail'));
					}
				}
				$("#wp-chatbot-board-container").removeClass('active-chat-board');
				$('.wp-chatbot-container').hide();
				$('.wpbot-saas-live-chat').show();
			}
            //show chat wrapper and hide cart-checkout wrapper
            $(globalwpw.settings.messageWrapper).show();
            $('#wp-chatbot-checkout-short-code').hide();
            $('#wp-chatbot-cart-short-code').hide();


        });
		
        $(document).on('click','.qcld-chatbot-reset-btn',function (e) {
            e.preventDefault();
            var actionType=$(this).attr('reset-data');
            if(actionType=='yes'){
                $('#wp-chatbot-messages-container').html('');
                localStorage.removeItem('shopper');
                globalwpw.wildCard=0;
                globalwpw.ai_step=0;
                localStorage.setItem("wildCard",  globalwpw.wildCard);
                localStorage.setItem("aiStep", globalwpw.ai_step);
                wpwWelcome.greeting();
            } else if(actionType=='no'){
                wpwAction.bot(globalwpw.settings.obj.sys_key_help.toLowerCase());
            }
        });
		
		if(globalwpw.settings.obj.clear_cache==1){
			$('#wp-chatbot-messages-container').html('');
			localStorage.removeItem('shopper');
			globalwpw.wildCard=0;
			globalwpw.ai_step=0;
			localStorage.setItem("wildCard",  globalwpw.wildCard);
			localStorage.setItem("aiStep", globalwpw.ai_step);
			wpwWelcome.greeting();
		}
		
		$(document).on('click','.qcld_subscribe_confirm',function (e) {
            e.preventDefault();
            var actionType=$(this).attr('subscription');
            if(actionType=='yes'){
				globalwpw.wildCard=3;
				globalwpw.subscriptionStep = 'getname';
				wpwTree.subscription();
            } else if(actionType=='no'){
                wpwAction.bot(globalwpw.settings.obj.sys_key_help.toLowerCase());
            }
        });

        $(document).on('click','.qcld_unsubscribe_confirm',function (e) {
            e.preventDefault();
            var actionType=$(this).attr('unsubscription');
            if(actionType=='yes'){
				globalwpw.wildCard=6;
				globalwpw.unsubscriptionStep = 'getemail';
				wpwTree.unsubscription();
            } else if(actionType=='no'){
                wpwAction.bot(globalwpw.settings.obj.sys_key_help.toLowerCase());
            }
        });

        $(document).on('click','.qcld_unsubscribe_again',function (e) {
            e.preventDefault();
            
            globalwpw.wildCard=6;
            globalwpw.unsubscriptionStep = 'getemail';
            wpwTree.unsubscription();
            
        });
		
		
        return this;
    };
    //Deafault value for wpwbot.If nothing passes from the work station
    //Then defaults value will be used.
    $.wpwbot.defaults={
        obj:{},
        editor_handler:0,
        sendButton:'#wp-chatbot-send-message',
        messageEditor:'#wp-chatbot-editor',
        messageContainer:'#wp-chatbot-messages-container',
        messageWrapper:'.wp-chatbot-messages-wrapper',
        botContainer:'.wp-chatbot-ball-inner',
        messageLastChild:'#wp-chatbot-messages-container li:last',
        messageLastBot:'#wp-chatbot-messages-container .wp-chatbot-msg:last .wp-chatbot-paragraph',
        preLoadingTime:2000,
        wildcardsShowTime:5000,
    }

})(jQuery);
